Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Interface ShapePainter

All Known Implementing Classes:
  CompositeShapePainter, FillShapePainter, MarkerShapePainter, StrokeShapePainter

    public interface ShapePainter

Renders the shape of a `ShapeNode`.

Method Summary
`Shape` | `getPaintedArea()` Returns the area painted by this shape painter.
`Rectangle2D` | `getPaintedBounds2D()` Returns the bounds of the area painted by this shape painter
`Shape` | `getSensitiveArea()` Returns the area covered by this shape painter (even if nothing is painted there).
`Rectangle2D` | `getSensitiveBounds2D()` Returns the bounds of the area covered by this shape painter (even if nothing is painted there).
`Shape` | `getShape()` Gets the shape this shape painter is associated with.
`boolean` | `inPaintedArea(Point2D pt)` Returns true if `pt` is in the painted area.
`boolean` | `inSensitiveArea(Point2D pt)` Returns true if `pt` is in the sensitive area.
`void` | `paint(Graphics2D g2d)` Paints the specified shape using the specified Graphics2D.
`void` | `setShape(Shape shape)` Sets the Shape this shape painter is associated with.

Method Detail

### paint

    void paint(Graphics2D g2d)

  Paints the specified shape using the specified Graphics2D.

  Parameters:
    `g2d` - the Graphics2D to use

### getPaintedArea

    Shape getPaintedArea()

  Returns the area painted by this shape painter.

### getPaintedBounds2D

    Rectangle2D getPaintedBounds2D()

  Returns the bounds of the area painted by this shape painter

### inPaintedArea

    boolean inPaintedArea(Point2D pt)

  Returns true if `pt` is in the painted area.

### getSensitiveArea

    Shape getSensitiveArea()

  Returns the area covered by this shape painter (even if nothing is painted there).

### getSensitiveBounds2D

    Rectangle2D getSensitiveBounds2D()

  Returns the bounds of the area covered by this shape painter (even if nothing is painted there).

### inSensitiveArea

    boolean inSensitiveArea(Point2D pt)

  Returns true if `pt` is in the sensitive area.

### setShape

    void setShape(Shape shape)

  Sets the Shape this shape painter is associated with.

  Parameters:
    `shape` - new shape this painter should be associated with. Should not be null.

### getShape

    Shape getShape()

  Gets the shape this shape painter is associated with.

  Returns:
    shape associated with this painter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.